Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000206KdenliveMLTpublic2008-10-13 21:382008-11-12 22:22
Reportereliwap 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000206: kdenlive is not able to work with libmltavformat.so
DescriptionI've managed to successfully compile and install kdenlive 0.7 beta against mlt 0.3.0 and mlt++ 0.3.0 on a Fedora 9 x86_64. However when I start kdenlive I get the following with the kdenlive startup dialog box telling me that MLT's avformat cannot be found.

I can confirm that libmltavformat.so is indeed in /usr/lib64/mlt

mlt was configured with the following options

mlt-0.3.0
---------
./configure --prefix=/usr --libdir=/usr/lib64 --enable-gpl --disable-mmx --disable-qimage

mlt++-0.3.0
-----------
./configure --prefix=/usr --libdir=/usr/lib64


kdenlive
kdenlive(30801) MainWindow::parseProfiles: RESULTINGĂ‚ MLT PATH: "/usr/share/mlt/profiles/"
mlt_repository.c, mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so
kdenlive(30801) initEffects::fillTransitionsList: //// //// TRANSITON XML
kdenlive(30801) initEffects::fillTransitionsList: "<ktransition tag="frei0r.addition" >
 <name>addition</name>
 <name/>
</ktransition>
"
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000391)
administrator (administrator)
2008-10-13 21:44

> mlt_repository_init: failed to dlopen /usr/lib64/mlt/libmltavformat.so

Seeing this, I would say that your MLT install is not successful. Can you play a video with MLT's command line player ? From a terminal, run:

inigo video.mpg

(replace video.mpg by one of your video file). I don't think it will work, which means you have a problem with your MLT install - the FFmpeg module (avformat) is not correctly compiled, please check if the --avformat-swscale flag was used at configure time and if you have the libswscale-dev package installed.
(0000393)
mtxd (reporter)
2008-10-13 22:15
edited on: 2008-10-13 22:17

Use the latest ffmpeg and mlt. You can refer to 0000172

(0000394)
madsdyd (administrator)
2008-10-13 22:39

Changing to feedback status
(0000398)
eliwap (reporter)
2008-10-14 08:30

OK... I installed ffmpeg-compat-devel from livna. Recompiled as suggested, and kdenlive came up.

Thank you

Just a quick question... I'm trying to get mlt to compile with qimage from qt4 and mlt detects that qt4 is installed, but then after running configure without disabling qimage, the configure scripts detects qt3. Any suggestions?
(0000399)
administrator (administrator)
2008-10-14 09:28

For the Qt4 qimage producer to be correctly detected, you need to manually give the path to the Qt4 libs and includes with the
--qimage-libdir and --qimage-includedir flags.

Please see:
http://kdenlive.org/compile#mlt [^]

for compilation instructions

- Issue History
Date Modified Username Field Change
2008-10-13 21:38 eliwap New Issue
2008-10-13 21:44 administrator Note Added: 0000391
2008-10-13 22:15 mtxd Note Added: 0000393
2008-10-13 22:17 mtxd Note Edited: 0000393
2008-10-13 22:39 madsdyd Note Added: 0000394
2008-10-13 22:39 madsdyd Status new => feedback
2008-10-14 08:30 eliwap Note Added: 0000398
2008-10-14 09:28 administrator Note Added: 0000399
2008-10-14 09:28 administrator Status feedback => resolved
2008-10-14 09:28 administrator Resolution open => fixed
2008-10-14 09:28 administrator Description Updated
2008-10-23 00:20 madsdyd Target Version => 0.7.0
2008-10-23 00:22 madsdyd Status resolved => closed
2008-11-12 22:22 madsdyd Fixed in Version => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker